// SineGeneratorExampleDlg.h : header file
//

#pragma once


// CSineGeneratorExampleDlg dialog
class CSineGeneratorExampleDlg : public CDialog
{
// Construction
public:
	CSineGeneratorExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SINEGENERATOREXAMPLE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	// Instrument Resource Name
	CString m_ResourceName;
	// Check ID Query when initialize driver
	BOOL m_IDQuery;
	// Reset device when intialize driver
	BOOL m_Reset;
	// Channel List Index
	int m_ChannelIndex;
	// Frequency of Sine waveform
	double m_Frequency1;
	double m_Frequency2;
	// Start Phase
	double m_Phase1;
	double m_Phase2;
	// Amplitude
	double m_Amplitude1;
	double m_Amplitude2;
	// Generator Output Enable
	BOOL m_OutputEnable;

	CString m_DriverRev;
	CString m_FirmwareRev;
	
	afx_msg void OnBnClickedRun();
};
